package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import java.math.BigDecimal;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/SplitTransferDataAction.class */
public class SplitTransferDataAction extends LifeAction {
    private String tranAmt;
    private String splitIColl;

    public String execute(Context context) throws GENEException {
        int count;
        String totalAmt = (String) context.getDataValue(this.tranAmt);
        BigDecimal payAmountBd = new BigDecimal(totalAmt);
        BigDecimal maxAmountBd = new BigDecimal("50000.00");
        BigDecimal[] operArray = new BigDecimal[2];
        if (payAmountBd.compareTo(maxAmountBd) == 1) {
            BigDecimal[] divideAndRemainder = payAmountBd.divideAndRemainder(maxAmountBd);
            operArray = divideAndRemainder;
            int count2 = divideAndRemainder[0].intValue();
            count = count2 + 1;
        } else {
            count = 1;
        }
        IndexedCollection iColl = (IndexedCollection) context.get(this.splitIColl);
        KeyedCollection kColl = (KeyedCollection) iColl.getDataElement().clone();
        for (int i = 0; i < count; i++) {
            KeyedCollection targetColl = new KeyedCollection();
            for (String key : kColl.keySet()) {
                if (context.containsKey(key)) {
                    targetColl.addDataField(key, context.getDataValue(key));
                }
            }
            if (count == 1) {
                targetColl.setDataValue("payAmount", totalAmt);
            } else if (i == count - 1) {
                targetColl.setDataValue("payAmount", operArray[1].toString());
            } else {
                targetColl.setDataValue("payAmount", "50000.00");
            }
            iColl.addDataElement(targetColl);
        }
        return "0";
    }

    public static void main(String[] args) {
        BigDecimal payAmountBd = new BigDecimal("120903.98");
        BigDecimal maxAmountBd = new BigDecimal("50000.00");
        BigDecimal[] operArray = new BigDecimal[2];
        if (payAmountBd.compareTo(maxAmountBd) == 1) {
            operArray = payAmountBd.divideAndRemainder(maxAmountBd);
        }
        System.out.println(operArray[0].toString());
        System.out.println(operArray[1].toString());
    }

    public String getTranAmt() {
        return this.tranAmt;
    }

    public void setTranAmt(String tranAmt) {
        this.tranAmt = tranAmt;
    }

    public String getSplitIColl() {
        return this.splitIColl;
    }

    public void setSplitIColl(String splitIColl) {
        this.splitIColl = splitIColl;
    }
}
